Group: Office
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install imake libICE-devel libSM-devel libX11-devel libopenmotif-devel xorg-cf-files
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Reminds you take wrist breaks

Name: xwrits
Version: 2.26
Release: alt2_25
Source: http://www.lcdf.org/xwrits/xwrits-%{version}.tar.gz
Source2: xwrits.png
Source3: xwrits.desktop

URL: http://www.lcdf.org/xwrits/

License: GPLv2
BuildRequires:  gcc
BuildRequires: desktop-file-utils
BuildRequires: libXt-devel
BuildRequires: libXext-devel
BuildRequires: libXinerama-devel
Source44: import.info

%description
Xwrits reminds you to take wrist breaks, which
should help you prevent or manage a repetitive
stress injury. It pops up an X window when you
should rest; you click on that window, then take a
break.

Xwrits's graphics are brightly colored pictures of
a wrist and the attached hand. The wrist clenches
and stretches ``as if in pain'' when you should
rest, slumps relaxed during the break, and points
forward valiantly when the break is over. It is
trapped behind bars while the keyboard is locked.
Other gestures are included.

Extensive command line options let you control how
often xwrits appears. It can escalate its behavior
over time -- by putting up more flashing windows
or actually locking you out of the keyboard, for
example -- which makes it harder to cheat.

%prep
%setup -q

%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure --prefix=${RPM_BUILD_ROOT}%{_prefix} --libdir=${RPM_BUILD_ROOT}%{_libdir} --mandir=${RPM_BUILD_ROOT}%{_mandir}
%make_build

%install
make install
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
cp -p %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
desktop-file-install                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        %{SOURCE3}

%files
%doc NEWS README GESTURES TODO
%{_bindir}/xwrits
%{_mandir}/man1/*
%{_datadir}/pixmaps/xwrits.png
%{_datadir}/applications/xwrits.desktop

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 2.26-alt2_25
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 2.26-alt2_24
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 2.26-alt2_23
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 2.26-alt2_22
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 2.26-alt2_21
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 2.26-alt2_20
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 2.26-alt2_19
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 2.26-alt2_18
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 2.26-alt1_18
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 2.26-alt1_17
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 2.26-alt1_16
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2.26-alt1_15
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2.26-alt1_14
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 2.26-alt1_13
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 2.26-alt1_12
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.26-alt1_10
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.26-alt1_9
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 2.26-alt1_8
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 2.26-alt1_7
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 2.26-alt1_6
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 2.26-alt1_5
- update to new release by fcimport

* Mon Feb 11 2013 Igor Vlasenko <viy@altlinux.ru> 2.26-alt1_4
- update to new release by fcimport

* Wed Jan 16 2013 Igor Vlasenko <viy@altlinux.ru> 2.26-alt1_3
- initial fc import

